%define major 3
%define libname %mklibname ieee1284_ %major
%define develname %mklibname ieee1284 -d

Summary:	Cross-platform library for parallel port access
Name:		libieee1284
Version:	0.2.11
Release:	%mkrel 24
License:	LGPLv2+
Group:		System/Libraries
URL:		https://sourceforge.net/projects/libieee1284/
Source0:	https://downloads.sourceforge.net/libieee1284/%{name}-%{version}.tar.bz2
Patch1:		libieee1284-strict-aliasing.patch
BuildRequires:	pkgconfig(python)
BuildRequires:	xmlto

%description
libieee1284 is a cross-platform library for parallel port access

%package -n	%{libname}
Summary:        Cross-platform library for parallel port access
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
libieee1284 is a cross-platform library for parallel port access

%package -n	%{develname}
Summary:        Development files for libieee1284
Group:          Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:       ieee1284-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}0-devel = %{version}-%{release}
Obsoletes:	%{_lib}ieee1284-static-devel < 0.2.11-18

%description -n	%{develname}
The %{name}-devel package includes the header files and .so libraries
necessary for developing programs which will access parallel port devices 
using the %{name} library.

If you are going to develop programs which will access parallel port
devices, you should install %{name}-devel.  You'll also need to have
the %{name} package installed.

%prep
%setup -q
%patch -P 1 -p1

%build
autoreconf -fiv
touch doc/interface.xml
%configure \
	--disable-static \
	--without-python
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc README AUTHORS ChangeLog INSTALL NEWS TODO
%{_bindir}/libieee1284_test
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.2.11-24.mga10
+ Revision: 2231947
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.2.11-23.mga10
+ Revision: 2127775
- Rebuild for patchN deprecation

* Thu Oct 27 2022 ghibo <ghibo> 0.2.11-22.mga9
+ Revision: 1899813
- Remove Patch0 (no longer needed).
- Add xmlto to BuildRequires.
- Add autoreconf
- Add Patch1 from FC to fix building on other archs.
- Split %%autopatch.
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Aug 05 2020 joequant <joequant> 0.2.11-20.mga8
+ Revision: 1611076
- revert arm
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 20 2020 umeabot <umeabot> 0.2.11-19.mga8
+ Revision: 1546281
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 wally <wally> 0.2.11-18.mga8
+ Revision: 1486240
- drop static devel pkg
- drop python2 support
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.2.11-17.mga7
+ Revision: 1298916
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 0.2.11-16.mga7
+ Revision: 1239328
- fix build on aarch64
- use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 0.2.11-15.mga6
+ Revision: 945606
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.11-14.mga5
+ Revision: 750191
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.11-13.mga5
+ Revision: 726720
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.11-12.mga5
+ Revision: 681531
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.11-11.mga4
+ Revision: 507080
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.11-10.mga3
+ Revision: 357520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 pterjan <pterjan> 0.2.11-9.mga1
+ Revision: 21816
- Rebuild for python 2.7

* Sat Jan 15 2011 mikala <mikala> 0.2.11-8.mga1
+ Revision: 19057
- Remove mdk macros
- Remove BuildRoot
- imported package libieee1284


* Wed Mar 31 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.2.11-8mdv2010.1
+ Revision: 530452
- rebuild because i586 and x86_64 repos are not in sync

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.11-7mdv2010.1
+ Revision: 520870
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.2.11-6mdv2010.0
+ Revision: 425568
- rebuild

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 0.2.11-5mdv2009.1
+ Revision: 333715
- split out python binding

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.11-4mdv2009.1
+ Revision: 319537
- rebuild with python 2.6

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.2.11-3mdv2009.0
+ Revision: 222888
- rebuild
- fix summary-not-capitalized
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 14 2007 Funda Wang <fwang@mandriva.org> 0.2.11-2mdv2008.1
+ Revision: 108822
- rebuild

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 0.2.11-1mdv2008.1
+ Revision: 102730
- New version 0.2.11

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.10-5mdv2008.0
+ Revision: 76974
- cleanup borked deps

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.10-4mdv2008.0
+ Revision: 76861
- new devel naming

* Wed May 16 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.2.10-3mdv2008.0
+ Revision: 27294
- Specfile cleanup, forcing a package rebuild.


* Mon Jan 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.2.10-2mdv2007.0
+ Revision: 109310
- Rebuild against python 2.5
- Use py_requires macro instead of manual hacks.
- Import libieee1284

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.2.10-2mdk
- Rebuild

* Tue Jun 14 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.10-1mdk
- 0.2.10
- %%mkrel

* Thu Feb 17 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.9-1mdk
- 0.2.9

* Fri Jan 07 2005 Till Kamppeter <till@mandrakesoft.com> 0.2.8-2mdk
- Rebuild

